<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HOME</title>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!--FOnt Awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

    <!--Handle bars-->
    <script src="https://cdn.jsdelivr.net/npm/handlebars@latest/dist/handlebars.js"></script>
</head>

<body>
    <!--menu-->
    <div class="container-fluid">
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand 
            <a class="navbar-brand" href="#">Logo</a>-->

            <!-- Toggler/collapsibe Button -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Navbar links -->
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/index"><i class="fas fa-home mr-1"></i>HOME</a>
                    </li>
                </ul>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/carrinho"><i class="fas fa-shopping-cart mr-1"></i>Carrinho</a>
                    </li>
                </ul>
            </div>


            <!--Nome do usuário do banco de dados-->
            <a href="/atualizar" class="mr-4">
                <i class="fas fa-user d-inline"></i>
                <p id="nomeUsuario" class="d-inline m-0">Nome Usuario</p>
            </a>

            <!--
            <form class="form-inline" action="/action_page.php">
                <input class="form-control mr-sm-2" type="text" placeholder="Procurar por produtos">
                <button class="btn btn-success" type="submit">Pesquisar</button>
            </form>-->
        </nav>

        <!--Produtos-->

        <div id="conteudo">

        </div>
    </div>

    <!--================================================================-->


    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>

    <script>

        /*
        var produtos = [{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },{
            "id" : 1,
            "cod": 3,
            "descricao" : "Celular",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 2,
            "cod": 4,
            "descricao" : "Carro",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        },
        {
            "id" : 3,
            "cod": 4,
            "descricao" : "Moto",
            "preco" : 100,
            "qtde" : 10,
            "createdAt":"2021-01-12",
            "updatedAt":"2021-01-12"
        }]*/
        var produtos;

        $.ajax({
            type: 'GET',
            url: '/produtos',
            dataType: 'json',
            success: (data) => {
                produtos = data

                //For para adicionar os produtos
                for (var produto = 0; produto < produtos.length; produto++) {

                    //CRIAR LINHA
                    if ((produto) % 3 == 0 || produto == 0) {
                        var divLinha = $("<div>")
                        divLinha.attr({
                            class: "row"
                        })
                        $("#conteudo").append(divLinha)
                    }


                    //Coluna de largura 4 ===> 12 TOTAL
                    var divColuna = $("<div>")
                    divColuna.attr({
                        class: "col-sm-4"
                    })
                    divLinha.append(divColuna)

                    //Colocar para cada coluna
                    var div = $("<div>")

                    div.attr({
                        id: produtos[produto]["id"],
                        class: "p-5 border"
                    })

                    divColuna.append(div)


                    //Criar a imagem
                    var imagem = $("<img src=" + "../imagens/" + produtos[produto]["id"] + ".png" + " style='heigth = 200px' width='200px'> </img>")
                    div.append(imagem)



                    //Colocar a descricao
                    var descricao = $("<p>" + produtos[produto]["descricao"] + "</p>")
                    div.append(descricao)



                    //Colocar o preco
                    var preco = $("<p> R$ " + produtos[produto]["preco"] + "</p>")
                    div.append(preco)



                    //var div = $("#"+produtos[produto]["id"])
                    //var botao = $("<button" + "class =" + "btn btn-primary"+">Comprar</button>")
                    var botao = $("<button>").html("Adicionar ao carrinho")
                    botao.addClass("btn btn-primary btn-add-cart")
                    botao.attr({
                        id: produto
                    })

                    /*
                    botao.click(function(){
                        //Adicionar ao carrinho
                        //var botaoPai = botao.parent()
                        //alert(botaoPai.prop("class"))
                        alert(botao.attr("id"))
                    })*/


                    div.append(botao)

                }
            }
        })




        /*
        $("button").on('click', (event) => {
            alert(this.id)
        })*/

        //Depois de ter html construido
        //this
        $().ready(function () {

            //Evento de adicionar ao carrinho
            $(".btn-add-cart").click(function () {

                //Id do produto
                Pedido.addCarrinho($(this).parent().prop("id"));



            });
        });



        let a = JSON.parse(Cookies.get('usuario'))
        $("#nomeUsuario").html(a["nome"])
    </script>
    <script src="../javascript/main-jquery.js"></script>

</body>

</html>